Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.EditorToolBar=function(_1){
Telerik.Web.UI.EditorToolBar.initializeBase(this,[_1]);
this._toolDefinitions=[];
this._tools=[];
};
Telerik.Web.UI.EditorToolBar.prototype={initialize:function(){
this._initToolBarItems();
},dispose:function(){
this._tools=[];
},_initToolBarItems:function(){
var _2=this.get_ToolDefinitions();
var _3=this.get_element().getElementsByTagName("li");
this._toolDefinitions=[];
if(_2){
for(var i=0;i<_2.length;i++){
var _5=Telerik.Web.UI.EditorButton;
var _6=_2[i].Type;
var _7=Telerik.Web.UI.EditorToolType;
if(_6){
switch(_6){
case _7.Button:
break;
case _7.DropDown:
_5=Telerik.Web.UI.EditorDropDown;
break;
case _7.SplitButton:
_5=Telerik.Web.UI.EditorSplitButton;
break;
case _7.Separator:
_5=null;
break;
case _7.Custom:
alert("CUSTOM TOOL NOT IMPLEMENTED YET!");
break;
}
}
if(_5){
Array.add(this._tools,$create(_5,_2[i],null,null,_3[i+1]));
}
}
}
},get_ToolDefinitions:function(){
return this._toolDefinitions;
},get_Tools:function(){
return this._tools;
}};
Telerik.Web.UI.EditorToolBar.registerClass("Telerik.Web.UI.EditorToolBar",Sys.UI.Control);

